class CloudControlError(Exception):
    """Base class for cloud control errors."""


class PluginError(CloudControlError):
    """Exception related to plugin execution."""
    pass


class TagConflict(CloudControlError):
    """Raised when a tag name conflicts arises between TagDB instances."""
    pass
